%global libsuffix yui
%global libname lib%{libsuffix}
%global devel_min_ver 3.0.4
%global major_so_ver 6

Name:			%{libname}-gtk
Version:		2.44.5
Release:		4%{?dist}
Summary:		Gtk3 User Interface for %{libname}

License:		LGPLv2 or LGPLv3
URL:			https://github.com/%{libname}/%{name}
Source0:		%{url}/archive/%{name}/master/%{version}.tar.gz#/%{name}-%{version}.tar.gz

BuildRequires:		cmake				>= 2.8
BuildRequires:		doxygen
BuildRequires:		fdupes
BuildRequires:		graphviz
BuildRequires:		gtk3-devel
BuildRequires:		%{libname}-devel		>= %{devel_min_ver}

Provides:		%{libsuffix}-ui%{?_isa}		== %{major_so_ver}

%description
This package contains the Gtk3 user interface component
for %{libname}.


%package devel
Summary:		Files needed for developing with %{name}

Requires:		gtk3-devel%{?_isa}
Requires:		%{libname}-devel%{?_isa}	>= %{devel_min_ver}
Requires:		%{name}%{?_isa}			== %{version}-%{release}

%if 0%{?fedora} && 0%{?fedora} <= 22
Obsoletes:		%{name}-devel-common		<= %{version}-%{release}
%endif #0%{?fedora} && 0%{?fedora} <= 22

%description devel
%{libname} can be used independently of YaST for generic (C++)
applications and has very few dependencies.

You do NOT need this package for developing with %{libname}.
Using%{libname}-devel is sufficient for such purpose. This
package is only needed when you want to develop an extension
for %{name} which is not covered within the UI-plugin.


%package doc
Summary:		Documentation files for %{name}
BuildArch:		noarch

%description doc
This package includes the developer's documentation as HTML
for %{name}.


%prep
%setup -qn %{name}-%{name}-master-%{version}
./bootstrap.sh


%build
mkdir -p build
pushd build
%cmake						\
	-DENABLE_WERROR=OFF			\
	-DPREFIX=%{_prefix}			\
	-DLIB_DIR=%{_libdir}			\
	-DCMAKE_BUILD_TYPE=RELEASE		\
	-DRESPECT_FLAGS=ON			\
	..

make %{?_smp_mflags}
make %{?_smp_mflags} docs
popd


%install
pushd build
mkdir -p %{buildroot}%{_libdir}/%{libsuffix}	\
	%{buildroot}%{_datadir}/%{name}/theme

%make_install

rm -rf	%{buildroot}%{_defaultdocdir}		\
	../examples/CMake*			\
	doc/html/*.m*

%fdupes doc/html
popd


%files
%doc ChangeLog COPYING*
%{_libdir}/%{libsuffix}/%{name}.so.%{major_so_ver}*

%files devel
%{_includedir}/%{libsuffix}/*
%{_libdir}/%{libsuffix}/%{name}.so
%{_libdir}/pkgconfig/%{name}.pc
%{_libdir}/cmake

%files doc
%doc ChangeLog COPYING* build/doc/html/


%changelog
* Sun Aug 17 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.44.5-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.44.5-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat May 24 2014 Björn Esser <bjoern.esser@gmail.com> - 2.44.5-2
- no need to provide `%%{name}-devel-common`

* Fri May 23 2014 Björn Esser <bjoern.esser@gmail.com> - 2.44.5-1
- new upstream release

* Fri May 23 2014 Björn Esser <bjoern.esser@gmail.com> - 2.43.7-3
- Rebuild for boost 1.55.0

* Tue Mar 18 2014 Björn Esser <bjoern.esser@gmail.com> - 2.43.7-2
- rebuilt for libyui-3.0.13
- remove build of pdf-autodocs
- remove the devel-common subpkg
- minor improvents on spec

* Fri Aug 30 2013 Björn Esser <bjoern.esser@gmail.com> - 2.43.7-1
- new upstream version
- restructured spec to match with libyui

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.43.3-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu May 16 2013 Björn Esser <bjoern.esser@gmail.com> - 2.43.3-3
- build fails on rawhide with -Werror enabled, because of
  'gtk_widget_modify_fg' is deprecated in gtk3-devel >= 3.9.0,
  use 'gtk_widget_override_color' instead [-Werror=deprecated-declarations]
- informed upstream and provided build-logs
- added cmake -DENABLE_WERROR=OFF

* Thu May 16 2013 Björn Esser <bjoern.esser@gmail.com> - 2.43.3-2
- changed Provides: `yui_ui =` from `version` to `major_so_ver`
- install lib*.so.`major_so_ver`* in main-pkg not lib*.so.*
- add `-DRESPECT_FLAGS=ON`, will be honored by libyui <= 3.0.5
- removed macros from changelog

* Wed May 15 2013 Björn Esser <bjoern.esser@gmail.com> - 2.43.3-1
- new upstream version
- adjusted libyui-devel min-version
- added needed bootstrap to prep

* Mon May 13 2013 Björn Esser <bjoern.esser@gmail.com> - 2.43.2-1
- Initial RPM release.
